import { Component, OnInit } from '@angular/core';
import { IonBackButton, IonButtons, IonContent, IonHeader, IonIcon, IonItem, IonLabel, IonList, IonThumbnail, IonTitle, IonToolbar } from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import { timeOutline } from 'ionicons/icons';

interface HistoryItem {
  id: number;
  name: string;
  image: string;
}

@Component({
  selector: 'app-page-records',
  templateUrl: './page-records.page.html',
  styleUrls: ['./page-records.page.scss'],
  standalone: false,
  // imports: [IonHeader, IonToolbar, IonTitle, IonContent, IonBackButton, IonButtons, IonIcon, 
            // IonList, IonItem, IonThumbnail, IonLabel]
})
export class PageRecordsPage implements OnInit {
  historyList: HistoryItem[] = [];

  ngOnInit() {
    // 模拟数据 - 实际应该从本地存储获取
    this.historyList = [
      {
        id: 1,
        name: '意大利肉酱面',
        image: 'https://images.unsplash.com/photo-1555949258-eb67b1ef0ceb'
      },
      {
        id: 2,
        name: '奶油蘑菇汤',
        image: 'https://images.unsplash.com/photo-1547592180-85f173990554'
      },
      {
        id: 3,
        name: '番茄炒蛋',
        image: 'https://images.unsplash.com/photo-1582456891920-7a6a13cc5c4a'
      }
    ];
  }
}